import {
    Loading,
    NavigationProvider,
    Notifications,
} from './components/index';

import React, { useEffect } from 'react';
import { actions, store, Viewer } from './stream-store';
import { AuthorizationProps, HalLink, HalLinks } from './types';
import { mediaTypes } from './utils';

export default class TestBrowser extends React.Component<{}> {

    private onNavigate2 = (link: HalLink, authorization: string | undefined) =>
        link.href.indexOf('#') === -1 &&
        actions.get.request.next({ link, headers: { authorization } });

    private initialNavigation2 = ({ authorization }: AuthorizationProps) =>
        this.onNavigate2(
            { href: window.location.href, type: mediaTypes.any },
            authorization,
        );

    render() {

        useEffect(() => { this.initialNavigation2({ authorization: 'asd' }) }, [])

        const loading = false;

        const props = {
            mediaType: "any"
        };

        return (
            <div>
                <Loading open={loading} />
                <NavigationProvider onNavigate={this.onNavigate2}>
                    <div>Test</div>
                </NavigationProvider>
            </div>

        );
    }
};
